summaryrefslogtreecommitdiff
path: root/tests/case-fold-char-range
diff options
context:
space:
mode:
authorPaolo Bonzini <bonzini@gnu.org>2010-03-17 09:42:19 +0100
committerPaolo Bonzini <bonzini@gnu.org>2010-03-17 09:42:19 +0100
commitcf46bc2ef758dd1d0750fefca2f2cef247145c56 (patch)
treeb6bd7157448225a7aa547f6db419966920ef2063 /tests/case-fold-char-range
parent12043754720f27863e73e491a050018b75dc754b (diff)
downloadgrep-cf46bc2ef758dd1d0750fefca2f2cef247145c56.tar.gz
tests: use different output files to simplify reading failed .log files
* tests/case-fold-backref, tests/case-fold-char-class, tests/case-fold-char-range, tests/case-fold-char-type: Use a different name for each output file from grep. * tests/dfaexec-multibyte: Likewise, and merge some grep invocations.
Diffstat (limited to 'tests/case-fold-char-range')
-rw-r--r--tests/case-fold-char-range8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/case-fold-char-range b/tests/case-fold-char-range
index 9b3120fb..6db53981 100644
--- a/tests/case-fold-char-range
+++ b/tests/case-fold-char-range
@@ -7,16 +7,16 @@ printf 'A\nZ\n' > exp1 || framework_failure
fail=0
for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
- printf 'A\n1\nZ\n.\n' | LC_ALL=$LOC grep -i '[a-z]' > out1 || fail=1
- compare out1 exp1 || fail=1
+ printf 'A\n1\nZ\n.\n' | LC_ALL=$LOC grep -i '[a-z]' > out1-$LOC || fail=1
+ compare out1-$LOC exp1 || fail=1
done
# This actually passes also for grep-2.5.3
printf 'a\nz\n' > exp2 || framework_failure
for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
- printf 'a\n1\nz\n.\n' | LC_ALL=$LOC grep -i '[A-Z]' > out2 || fail=1
- compare out2 exp2 || fail=1
+ printf 'a\n1\nz\n.\n' | LC_ALL=$LOC grep -i '[A-Z]' > out2-$LOC || fail=1
+ compare out2-$LOC exp2 || fail=1
done
Exit $fail